Debian Bug report logs - #373088
RM: libsem -- RoM; old, unused, rc buggy

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: "Kevin B. McCarty" <kmccarty@princeton.edu>

Date: Mon, 12 Jun 2006 18:33:01 UTC

Severity: wishlist

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#373088; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@princeton.edu>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@princeton.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: libsem -- RoM; old, unused, rc buggy
Date: Mon, 12 Jun 2006 14:20:55 -0400
Package: ftp.debian.org
Severity: wishlist

Dear FTP masters,

Please remove libsem and its binary packages from the archive.  The
maintainer confirms that he wishes it to be dropped; the lack of a
previous bug report to this effect is apparently an oversight.  See
quoted mail below.

Barry deFreese wrote:
> Yes it should be dropped from the archive.  I thought I had requested
> that but maybe I didn't do it.
> 
> Thanks,
> 
> Barry deFreese (aka bddebian)
> 
> ----- Original Message ----- From: "Kevin B. McCarty"
> <kmccarty@Princeton.EDU>
> To: <bddebian@bddebian.com>
> Sent: Monday, June 12, 2006 1:26 PM
> Subject: Should libsem be removed from the Debian archive?
> 
> 
>> Dear libsem maintainer,
>>
>> Are you still interested in taking care of the libsem package?
>> I noticed that (as I reported at
>>
>> http://lists.debian.org/debian-qa/2006/05/msg00026.html )
>>
>> this package has at least one release-critical bug that is more than
>> a
>> month old, and in addition it generates no binary package for which
>> popcon lists more than about 10 installations.  (This is the RC bug
>> list:
>>
>> http://bugs.debian.org/311258
>>
>> and for the popcon report, see here:
>>
>> http://qa.debian.org/developer.php?popcon=libsem )
>>
>> If you no longer have the time or interest to maintain libsem,
>> and no one else can be found to maintain it, perhaps it should be
>> removed from the Debian archive since it is critically buggy and used
>> by
>> very few people.  I would be happy to file a bug against the
>> pseudopackage ftp.debian.org on your behalf to request the removal of
>> libsem.  Please let me know whether or not I may do so.
>>
>> After a suitable period of time to collect replies (two weeks), I
>> plan
>> to write to the debian-qa mailing list.  I'll give a summary of the
>> source packages listed at the first URL above for which I received
>> affirmative, negative, and no responses.
>>
>> best regards,
>>
>> -- 
>> Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
>> WWW: http://www.princeton.edu/~kmccarty/    Princeton University
>> GPG: public key ID 4F83C751                 Princeton, NJ 08544 
> 
> 

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-3-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

best regards,

-- 
Kevin B. McCarty <kmccarty@princeton.edu>   Physics Department
WWW: http://www.princeton.edu/~kmccarty/    Princeton University
GPG: public key ID 4F83C751                 Princeton, NJ 08544



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kevin B. McCarty" <kmccarty@princeton.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 373088-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 373088-close@bugs.debian.org
Cc: libsem@packages.debian.org, libsem@packages.qa.debian.org
Subject: Bug#373088: fixed
Date: Fri, 07 Jul 2006 00:38:12 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    libsem |    0.0.1-3 | source
libsem-dev |    0.0.1-3 | hurd-i386
 libsem0.0 |    0.0.1-3 | hurd-i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 373088@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:19:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:17:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.